

import { request } from '@umijs/max';


export default {
    //创建
    Add(parms: StoreTypes.StoreInfo) {
        return request('/api/storeinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

    //删除
    Del(parms: StoreTypes.StoreInfo) {
        return request(`/api/storeinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

    //修改角色
    Update(parms: StoreTypes.StoreInfo) {
        return request('/api/storeinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },


    //获取角色列表
    List() {
        return request('/api/storeinfo/list', {
            method: 'GET',
        });
    },

    /**
     * 角色分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: StoreTypes.StoreInfo) {
        return request('/api/storeinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    }
}

